// Stages that have been excluded from the aggregation pipeline query
__3tsoftwarelabs_disabled_aggregation_stages = [

	{
		// Stage 3 - excluded
		stage: 3,  source: {
			$count: "count"
		}
	},
]

db.getCollection("message201").aggregate(

	// Pipeline
	[
		// Stage 1
		{
			$match: {
			    created: {
			      "$gte": ISODate("2021-10-01T00:00:00.000Z"),
			      "$lt": ISODate("2021-10-31T00:00:00.000Z"),
			    },
			    // deviceId: "863789023455649",
			    code: 35,
			}
		},

		// Stage 2
		{
			$project: { _id : false, deviceId : true , clientData : true, created : true }
		},

		// Stage 4
		{
			$out: "asaGetMsg201"
		},

	]

	// Created with Studio 3T, the IDE for MongoDB - https://studio3t.com/

);
